Package org.eclipse.mat.report

## Class RendererRegistry

- java.lang.Object
- - org.eclipse.mat.util.RegistryReader<IOutputter>
  - - org.eclipse.mat.report.RendererRegistry

All Implemented Interfaces:
  `IExtensionChangeHandler`

    public class RendererRegistry
    extends RegistryReader<IOutputter>

Holds all the renderers.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static RendererRegistry` `instance()`
`IOutputter` `match​(java.lang.String format, java.lang.Class<? extends IResult> type)`

### Methods inherited from class org.eclipse.mat.util.RegistryReader

`addExtension, delegates, removeExtension`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### instance

    public static RendererRegistry instance()

#### match

    public IOutputter match​(java.lang.String format,
                            java.lang.Class<? extends IResult> type)